Skip to main content
GET
/
purchases
/
:id
curl https://api.thanxsandbox.com/purchases/:id \
  -X GET \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
{
  "purchase": {
    "id": "92b7b0dac4",
    "user_id": "weori235",
    "merchant_id": "9a1f0772c9ac",
    "location_id": "e7183da044",
    "purchased_at": "2020-01-01T20:00:00Z",
    "amount": 9.99,
    "order": {
      "provider": "OLO",
      "id": "YWEI2342F"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.thanx.com/llms.txt

Use this file to discover all available pages before exploring further.

Please review proper request headers here.

Parameters

id
string
The purchase ID

Response

id
string
The purchase ID
user_id
string
The user ID
merchant_id
string
The merchant ID
location_id
string
Location ID
purchased_at
string
Time the purchase was made in ISO8601-format
amount
decimal
The purchase amount
order
hash
Provides information about the associated order, if any
curl https://api.thanxsandbox.com/purchases/:id \
  -X GET \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
{
  "purchase": {
    "id": "92b7b0dac4",
    "user_id": "weori235",
    "merchant_id": "9a1f0772c9ac",
    "location_id": "e7183da044",
    "purchased_at": "2020-01-01T20:00:00Z",
    "amount": 9.99,
    "order": {
      "provider": "OLO",
      "id": "YWEI2342F"
    }
  }
}